libcdk5-5.0.20150928-lp150.174.1.x86_64.rpm


Advertisement

Description

libcdk5 - The Runtime for the Curses Development Kit - Shared library

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Security all
Package name libcdk5
Package version 5.0.20150928
Package release lp150.174.1
Package architecture x86_64
Package type rpm
Installed size 372.81 KB
Download size 130.44 KB
Official Mirror ftp.gwdg.de
CDK is a widget set developed on top of the basic curses library. It
contains 21 ready to use widgets, some of which are: a text entry
field, a scrolling list, a selection list, an alphalist, a pull-down
menu, a radio list, a viewer widget, and a dialog box.

Alternatives

Package Version Architecture Repository
libcdk5-5.0.20150928-lp150.1.8.x86_64.rpm 5.0.20150928 x86_64 openSUSE Oss
libcdk5 - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -

Provides

Name Value
libcdk.so.5()(64bit) -
libcdk5 = 5.0.20150928-lp150.174.1
libcdk5(x86-64) = 5.0.20150928-lp150.174.1

Download

Type URL
Binary Package libcdk5-5.0.20150928-lp150.174.1.x86_64.rpm
Source Package cdk-5.0.20150928-lp150.174.1.src.rpm

Install Howto

  1. Add the openSUSE Security repository:
    # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/security/openSUSE_Leap_15.0/ opensuse-security
  2. Install libcdk5 rpm package:
    # zypper install libcdk5

Files

Path
/usr/lib64/libcdk.so.5
/usr/lib64/libcdk.so.5.0
/usr/share/doc/packages/libcdk5/CHANGES
/usr/share/doc/packages/libcdk5/COPYING
/usr/share/doc/packages/libcdk5/EXPANDING
/usr/share/doc/packages/libcdk5/NOTES
/usr/share/doc/packages/libcdk5/README
/usr/share/doc/packages/libcdk5/TODO
/usr/share/doc/packages/libcdk5/VERSION

Changelog

2015-11-01 - p.drouand@gmail.com
- Update to version 5.0.20150928
* build ".deb" test-package with ncurses6, using versioned symbols.
* modifications from ncurses/xterm to allow alternate to /bin/sh for
configure-shell, while dropping support for non-POSIX shell such
as Solaris.
* updated/integrated changes for versioned symbols from ncurses6.
* CF_DISABLE_LIBTOOL_VERSION when using -version-info (the native
libtool mode), get the ABI_VERSION value from $VERSION (which comes
from CF_VERSION_INFO)
* CF_ADD_INCDIR fix an infinite loop when the include-directory to be
added does not exist (bdo#786436)
* CF_WITH_NCURSES_ETC add --with-screen option
* CF_SUBDIR_PATH change this to a loop, adding /usr/pkg (NetBSD) and
/opt/local (Mac OSX)
* update config.guess, config.sub
2014-12-29 - meissner@suse.com
- fixed url, added .asc and keyring
2014-12-25 - p.drouand@gmail.com
- Update to version 5.0.20141106
+ Too many things to list; please read the changelog file
- Cleanup specfile
- Split out cdk library to a lib subpackage
- Update Url and source download Url
- Remove obsolete cdk-4.9.13.dif
2011-09-30 - coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
2011-09-17 - jengelh@medozas.de
- Remove redundant tags/sections from specfile
2010-02-19 - coolo@novell.com
- fix compilation with gcc 4.5
2009-08-30 - coolo@novell.com
- use %patch for Patch
2009-03-08 - crrodriguez@suse.de
- remove static libraries
2007-03-29 - meissner@suse.de
- added ncurses-devel
2006-01-25 - mls@suse.de
- converted neededforbuild to BuildRequires

See Also

Package Description
libclamav7-0.100.2-lp150.193.1.x86_64.rpm ClamAV antivirus engine runtime
libclammspack0-0.100.2-lp150.193.1.x86_64.rpm ClamAV antivirus engine runtime
libfido2-0_2_0-0.2.0-lp150.1.1.x86_64.rpm FIDO U2F and FIDO 2.0 protocols
libfido2-devel-0.2.0-lp150.1.1.x86_64.rpm Development files for FIDO U2F and FIDO 2.0 protocols
libfipscheck1-1.5.0-lp150.34.3.i586.rpm Library files for fipscheck
libfipscheck1-1.5.0-lp150.34.3.x86_64.rpm Library files for fipscheck
libfipscheck1-32bit-1.5.0-lp150.34.3.x86_64.rpm Library files for fipscheck
libfuzzy-devel-2.14.1-lp150.21.1.x86_64.rpm API for ssdeep
libfuzzy2-2.14.1-lp150.21.1.x86_64.rpm API for ssdeep
libhavege1-1.9.4-lp150.141.1.x86_64.rpm Haveged interface library
libhttrack2-3.49.2-lp150.22.1.x86_64.rpm Shared library for httrack
libimaevm0-1.1-lp150.47.1.i586.rpm IMA/EVM control utility libary
libimaevm0-1.1-lp150.47.1.x86_64.rpm IMA/EVM control utility libary
libkcapi-devel-0.13.0-lp150.18.34.i586.rpm Linux Kernel Crypto API User Space Interface Library
libkcapi-devel-0.13.0-lp150.18.34.x86_64.rpm Linux Kernel Crypto API User Space Interface Library
Advertisement
Advertisement